
Foreman - Bug #27333

view_react permission should be removed

07/18/2019 08:02 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Users, Roles and Permissions   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6910

  

Description

The view_react permission was added in https://github.com/theforeman/foreman/pull/6741 apparently in order to get a test to pass (

https://github.com/theforeman/foreman/pull/6741/files#r283366317).

This permission makes no sense from a user pov - users care about resources, not about how the page is rendered.

This also leads to multiple warnings when seeding roles as they don't find a `React` resource.

Related issues:

Related to Foreman - Bug #26753: react-router foundation #3 - Bookmarks Closed

Associated revisions

Revision 652dae5f - 07/19/2019 07:10 AM - Tomer Brisker

Fixes #27333 - remove view_react permission

History

#1 - 07/18/2019 08:24 AM - Tomer Brisker

- Related to Bug #26753: react-router foundation #3 - Bookmarks added

#2 - 07/18/2019 09:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/6910 added

#3 - 07/19/2019 07:10 AM - The Foreman Bot

- Fixed in Releases 1.23.0 added

#4 - 07/19/2019 08:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset 652dae5f7a3682e804e84b5a7eb4abccce256c58.
